import { IObservableArray, IReactionDisposer } from "./interfaces/IMobX";
declare type TObservableDecorator = <T extends object>(obj: T, ..._params: Array<any>) => void;
declare type TObservable = {
    object: <T extends object>(obj: T, decorators?: object, opts?: object) => T;
    array: <T = any>(obj: Array<T>, decorators?: object, opts?: object) => IObservableArray<T>;
} & TObservableDecorator;
export declare const mobx: {
    autorun(fn: Function): IReactionDisposer;
    isObservableArray(_obj: any): boolean;
    set(obj: Record<string, any>, key: string | Record<string, any>, value?: any): void;
    extendObservable<T extends object, U extends object>(obj: T, prop: U): T & U;
    observable<T_1 extends object>(_obj: T_1, ..._params: Array<any>): void;
    computed(...params: Array<any>): any;
    action(...params: Array<any>): any;
    makeObservable(_target: any, _annotations?: any): void;
    runInAction(fn: Function): void;
    toJS<T_2>(val: T_2): T_2;
    reaction(data: Function, action: Function): IReactionDisposer;
    intercept<T_3>(target: T_3, propertyName: Function | keyof T_3, _interceptor?: Function | undefined): IReactionDisposer;
} & {
    useRealMobX: boolean;
    useMobx: (enabled: boolean) => void;
    observable: TObservable;
};
export {};
